Load Number into E164/DN/Associations - 25 Apr 2022.
GET http://[host-proxy]/api/view/NumberInventoryLoader_VIEW/schema/?hierarchy=[hierarchy]&format=json&schema=1
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"startDn": {
"title": "Starting Extension number",
"type": "string",
"required": true,
"maxLength": 1024
},
"startE164": {
"title": "Starting E164 Number",
"type": "string",
"required": false,
"maxLength": 1024
},
"rangeSize": {
"title": "Range Size",
"type": "string",
"required": true,
"choices": [
{
"value": "1",
"title": "1"
},
{
"value": "10",
"title": "10"
},
{
"value": "100",
"title": "100"
},
{
"value": "1000",
"title": "1000"
}
],
"maxLength": 1024
},
"status": {
"title": "Status",
"type": "string",
"required": true,
"default": "Available",
"choices": [
{
"value": "Available",
"title": "Available"
},
{
"value": "Reserved",
"title": "Reserved"
}
],
"maxLength": 1024
},
"reservation_notes": {
"title": "Reservation Notes",
"type": "string",
"maxLength": 1024
},
"reservation_days": {
"title": "Reservation Duration (days)",
"type": "string",
"maxLength": 1024
},
"description": {
"title": "Description",
"type": "string",
"maxLength": 1024
},
"extra1": {
"title": "Extra 1",
"type": "string",
"maxLength": 1024
},
"extra2": {
"title": "Extra 2",
"type": "string",
"maxLength": 1024
},
"extra3": {
"title": "Extra 3",
"type": "string",
"maxLength": 1024
},
"extra4": {
"title": "Extra 4",
"type": "string",
"maxLength": 1024
},
"extra5": {
"title": "Extra 5",
"type": "string",
"maxLength": 1024
},
"extra6": {
"title": "Extra 6",
"type": "string",
"maxLength": 1024
},
"tag": {
"title": "Tag",
"type": "string",
"maxLength": 1024
},
"addAdvertisedPattern": {
"title": "Add advertised Patterns",
"type": "boolean"
}
},
"schema_version": "1.0"
}